const { Events } = require('discord.js');
const deployCommands = require('../functions/deployCommands');
const { Users, Team, Minecraft } = require('../functions/models');

module.exports = {
  name: Events.ClientReady,
  once: true,
  execute(client) {
    Users.sync();
    Team.sync();
    Minecraft.sync();

    console.log(`Ready! Logged in as ${client.user.tag}`);

    deployCommands();
  },
};
